package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;

public class ZybFeedbackModelDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String feedbackId; //	string	反馈id
    private int totalJoinCount; //	int	到馆总次数
    private String lastJoinTime;	//string	最后一次到馆时间
    private String joinRate; //	string	到馆率
    private String suggest;	//string	建议
    private int homeworkCount; //	int	作业份数
    private int averageCompletionTime; 	//int	平均完成时间（ 分钟）
    private String patriarchSatisfaction = "0";	//	家长满意度
    private List<String> commentList;	//list	家长评价标签集合<个数限制一下>
    private String currentMonthSuggest;	 //string	当月老师的学习建议

    public ZybFeedbackModelDto () {
        commentList = new ArrayList<String>();
    }

    public String getFeedbackId() {
        return feedbackId;
    }

    public void setFeedbackId(String feedbackId) {
        this.feedbackId = feedbackId;
    }

    public int getTotalJoinCount() {
        return totalJoinCount;
    }

    public void setTotalJoinCount(int totalJoinCount) {
        this.totalJoinCount = totalJoinCount;
    }

    public String getLastJoinTime() {
        return lastJoinTime;
    }

    public void setLastJoinTime(String lastJoinTime) {
        this.lastJoinTime = lastJoinTime;
    }

    public String getJoinRate() {
        return joinRate;
    }

    public void setJoinRate(String joinRate) {
        this.joinRate = joinRate;
    }

    public String getSuggest() {
        return suggest;
    }

    public void setSuggest(String suggest) {
        this.suggest = suggest;
    }

    public int getHomeworkCount() {
        return homeworkCount;
    }

    public void setHomeworkCount(int homeworkCount) {
        this.homeworkCount = homeworkCount;
    }

    public int getAverageCompletionTime() {
        return averageCompletionTime;
    }

    public void setAverageCompletionTime(int averageCompletionTime) {
        this.averageCompletionTime = averageCompletionTime;
    }

    public String getPatriarchSatisfaction() {
        return patriarchSatisfaction;
    }

    public void setPatriarchSatisfaction(float patriarchSatisfaction) {
        if (patriarchSatisfaction > 0.1f){
            DecimalFormat df1 = new DecimalFormat("####.0");
            this.patriarchSatisfaction = df1.format(patriarchSatisfaction);
        }
    }

    public List<String> getCommentList() {
        return commentList;
    }

    public void setCommentList(List<String> commentList) {
        this.commentList = commentList;
    }

    public String getCurrentMonthSuggest() {
        return currentMonthSuggest;
    }

    public void setCurrentMonthSuggest(String currentMonthSuggest) {
        this.currentMonthSuggest = currentMonthSuggest;
    }
}
